Subject: bug#10904: 24.0.93; Infinite loop in GnuTLS code during Gnus nnimap-initiated SSL handshake

From: Thomas Fitzsimmons <[email-masked]>
Date: Fri, 30 Mar 2012 17:52:24 -0400

Hi Ted,

Ted Zlatanov <[email-masked]> writes:

> The `gnutls-serv' call has nothing to do with Gnus, right?

No, the `gnutls-serv --http' call was meant to simulate an IMAP server
that speaks SSL, configured with a ciphersuite that GnuTLS's default
priority string will fail to handshake with.  It was just the simplest
way I thought of to simulate an SSL server; even though Gnus will not
speak HTTP, the negotiation doesn't get that far on my setup.

Can you try the recipe in Message #20, including running gnus?

Thanks,
Thomas